ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matthieu Bentot <>
Subject RE: removing deprecated stuff
Date Thu, 29 Nov 2001 10:32:06 GMT
> As a random thought: Add a new command line switch -old or something.
> Unless this one has been specified, throw a BuildException wherever we
> have been printing deprecation warnings in Ant 1.4.1.  This will make
> living with these warnings even more painful.  I'm not convinced I
> like this idea myself, but it could partly resolve this issue.
> Stefan

This leads to 2-steps deprecation process:
- in 1.5, if a user uses deprecated features, he gets a warning going
"<blah> has been deprecated. It will be removed in version 1.6. Please
update to use <bleh> instead."
- from 1.6 to 1.999999, if he tries to use the same old one, he gets a build
exception "<blah> was  deprecated in 1.5 and removed in 1.6. Use <bleh>
- from 2.0, well it's just gone...

This way
- users who carefully upgrade get a warning and can plan their script
- users who decide to jump from 1.2 to 1.6 get enough information to update;
- developpers can start to deprecate stuff and actually remove it instead of
bloating the code.



To unsubscribe, e-mail:   <>
For additional commands, e-mail: <>

View raw message